Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Macros | Functions
explicit_bzero.c File Reference
`#include "ruby/missing.h"`
`#include <string.h>`

Go to the source code of this file.

## Macros
#define | __STDC_WANT_LIB_EXT1__ 1
#define | FUNC_UNOPTIMIZED(x) x

## Functions
| FUNC_UNOPTIMIZED (void explicit_bzero(void *b, size_t len))
void | explicit_bzero (void *b, size_t len)

## Macro Definition Documentation

## ◆ __STDC_WANT_LIB_EXT1__

#define __STDC_WANT_LIB_EXT1__ 1

Definition at line 2 of file explicit_bzero.c.

## ◆ FUNC_UNOPTIMIZED

#define FUNC_UNOPTIMIZED | ( |  | x | ) | x

Definition at line 31 of file explicit_bzero.c.

## Function Documentation

## ◆ explicit_bzero()

void explicit_bzero | ( | void * | b,
|  | size_t | len
| ) |  |

Definition at line 77 of file explicit_bzero.c.

References len.

## ◆ FUNC_UNOPTIMIZED()

FUNC_UNOPTIMIZED | ( | void | explicit_bzerovoid *b, size_t len | ) |